(defsystem cube-modeller
  :depends-on (:sdl :opengl :mcclim :file-selector);; :acl-compat)
  :components ((:file "LED-cube")
               (:file "cube-transformations" :depends-on ("LED-cube"))

               (:file "package" :depends-on ("LED-cube"))
               (:file "commands" :depends-on ("package"))
               (:file "play-animation" :depends-on ("commands"))
	       (:file "viewer" :depends-on ("play-animation" "LED-cube"))
               (:file "viewer-draw-leds" :depends-on ("viewer"))

               (:file "clim-utilities" :depends-on ("package"))
               (:file "toolbox-events" :depends-on ("package"))
               (:file "toolbox" :depends-on ("cube-transformations" "play-animation" "clim-utilities"
                                             "toolbox-events"))
               (:file "about-dialog" :depends-on ("toolbox"))

               (:file "starter" :depends-on ("toolbox" "viewer"))

               (:file "hacks" :depends-on ("cube-transformations"))
               (:file "interpolate" :depends-on ("LED-cube"))))
